Input device configuration not saved on Windows

Bug #334800 reported by Adán Sánchez de Pedro Crespo on 2009-02-26
70
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Inkscape
Critical
Jon A. Cruz

Bug Description

My graphic tablet works properly with Inkscape 0.46, but it does not with 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from 'http://inkscape.modevia.com/win32/'.

In the 'Input Devices' dialogue it appears like a long line of kanjis and cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and nothing can be configured.

Related branches

Courtney Miles (cmiles) wrote :

I have a Wacom Intuous 3 and found late last year that it wasn't working with the development builds.

The device is listed in 0.46+devel just like it is in 0.46. I can use the table to select tools, menus, manipulate controls, but it does not work on the canvas.

My OS is Vista 64bit.

Courtney Miles (cmiles) wrote :

I can confirm the issue with my Wacom Intuous 3 on both Vista 64bit and XP 32 bit. I can confirm that the tablet works in 0.46 for both Vista and XP. I can confirm that on Vista the tablet also works on GIMP 2.6.4.

I can confirm that tablets did work in builds dated around September 2008.

I can also confirm that the Windows XP default drivers for tablets work with 0.46+devel (but I didn't test that pressure worked). It's only after installing the Wacom drivers did interaction with the canvas stop completely.

The tablet works to interact with any of the controls, it just doesn't work to draw on the canvas.

I also know that one of the RC drivers Wacom released killed support in all GTK applications.

I'm happy to help test however I can. I'm running XP in a virtual PC so can get quite destructive.

I helped a friend with Vista weirdness like this before. It seems that after
installing the wacom drivers, Vista's built in tablet pc support will cause
conflicts until you untoggle a few options in the Control Panel (I'm really
sorry that I don't recall the name of the shortcut in the CP).

On Apr 24, 2009 6:00 PM, "Courtney Miles" <email address hidden> wrote:

I can confirm the issue with my Wacom Intuous 3 on both Vista 64bit and
XP 32 bit. I can confirm that the tablet works in 0.46 for both Vista
and XP. I can confirm that on Vista the tablet also works on GIMP
2.6.4.

I can confirm that tablets did work in builds dated around September
2008.

I can also confirm that the Windows XP default drivers for tablets work
with 0.46+devel (but I didn't test that pressure worked). It's only
after installing the Wacom drivers did interaction with the canvas stop
completely.

The tablet works to interact with any of the controls, it just doesn't
work to draw on the canvas.

I also know that one of the RC drivers Wacom released killed support in
all GTK applications.

I'm happy to help test however I can. I'm running XP in a virtual PC so
can get quite destructive.

-- [Win32]Graphic tablet not working with Inkscape 0.46+devel r20711
https://bugs.launchpad.net/bu...

need to make sure this is solved soon. Rise importance. Adib.

Changed in inkscape:
importance: Undecided → Critical
milestone: none → 0.47
status: New → Triaged
Courtney Miles (cmiles) wrote :

Hey ScislaC,

I've actually uninstalled all Vista tablet sevices so the none of Vista tablet features function. The features offered only applied to tablet PC's and were annoying with desktop PC with a graphics tablet.

My issue also applies to XP--although I'm running it in a VM Guest on a Vista Host, but I don't think that should matter.

ivan louette (ivan-louette) wrote :

If I launch XP then open Inkscape and then only connect my Graphire3 it works.

But then if I close and re-open Inkscape it fails to work again.

Dub Dublin (dub-dublin) wrote :

This appears to be the same problem with tablet initialization/defaults that is described in the later bug 403421. (Despite what that bug's title says, I have confirmed it in XP as well....)

jazzynico (jazzynico) on 2009-08-06
tags: added: tablet
ScislaC (scislac) wrote :

Please try with this build to see if the issue is helped at all: http://inkscape.chrismorgan.info/win32-builds/Inkscape-0.47pre2-2.exe

trxcan (trxcan) wrote :

@ ScislaC

Your build don't work with my graphic tablet. I have a Bamboo Fun (CTE-650/K) graphic tablet and Windows XP SP3.

ScislaC (scislac) wrote :

trxcan,

Can you please be more specific? Does it not work at all? Does it only work on menus and toolbars? Does it work on-canvas, but not provide pressure support? Also, can you please try to launch inkscape with the tablet pen? I have seen some comments in various reports that doing that will get their tablet working for that session. Thanks.

trxcan (trxcan) wrote :

@ScislaC

Excuse me. I did more tests.

At the first startup of Inkscape, my graphic tablet works on menus and toolbars but not on the canvas. But after changing configuration in Input Devices dialog box, my graphic tablet works and pressure also. Finally it works after configuration.

ScislaC (scislac) wrote :

@trxcan,

Thank you so much for testing this further! This is the result we were hoping to see.

Just tested also.

On initial startup, immediately after installation, the table worked on
menus but not on canvas. When I checked input devices it said there were
none. But after I closed Inkscape and opened it again, everything worked
perfectly--I didn't need to configure anything.

2009/9/3 ScislaC <email address hidden>

> @trxcan,
>
> Thank you so much for testing this further! This is the result we were
> hoping to see.
>
> --
> [Win32]Graphic tablet not working with Inkscape 0.46+devel r20711
> https://bugs.launchpad.net/bugs/334800
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Inkscape: A Vector Drawing Tool: Triaged
>
> Bug description:
> My graphic tablet works properly with Inkscape 0.46, but it does not with
> 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from '
> http://inkscape.modevia.com/win32/'.
>
> In the 'Input Devices' dialogue it appears like a long line of kanjis and
> cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and
> nothing can be configured.
>

Dub Dublin (dub-dublin) wrote :

I've tried a couple of times, but every attempt I've made to download this
file winds up corrupt and NSIS throws me out. If I can't install it, I've
got no idea whether it works or not.... ;-)

I'm assuming this fix is NOT in the latest (Inkscape-0.47pre2-1.exe) build
available from inkscape.org, right?

Anyway, even the reports from some folks that seem to say it works now seem
to indicate one more thing needs to be fixed: tablet prefs need to be set to
some sensible defaults that will work for at least the most common (Wacom?)
tablets.

----
Dub Dublin
+1-512-853-9504

On Wed, Sep 2, 2009 at 12:12 PM, ScislaC <email address hidden> wrote:

> Please try with this build to see if the issue is helped at all:
> http://inkscape.chrismorgan.info/win32-builds/Inkscape-0.47pre2-2.exe
>
> --
> [Win32]Graphic tablet not working with Inkscape 0.46+devel r20711
> https://bugs.launchpad.net/bugs/334800
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Inkscape: A Vector Drawing Tool: Triaged
>
> Bug description:
> My graphic tablet works properly with Inkscape 0.46, but it does not with
> 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from '
> http://inkscape.modevia.com/win32/'.
>
> In the 'Input Devices' dialogue it appears like a long line of kanjis and
> cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and
> nothing can be configured.
>

Dub,

You are correct that the one on SF does not contain the newer libraries. Have you tried to download the file using a download manager or a decent FTP client (most can download things fine via an http mode)?

As for the sensible defaults, I do not think that it is possible as different operating systems and different models of tablets report the devices with different names.

DaveGG (dave-gertis) wrote :

I m having a similar problem with using my tablet with Inkscape. I have Vista 64 and and a Genius 8x6 tablet. The tablet works fine with all other programs, except for Inkscape .47; i can access the menus and make selections, but cannot draw on the canvas. I have tried some of the above work arounds, but to no avail. Is this on the radar to be fixed or addressed soon? Thanks, Dave

DaveGG (dave-gertis) wrote :

I reinstalled the windows version (.exe installer) and it works now. Previously I had downloaded the 7z version and it had the problem. You may want to check the zippe version. Thanks, Dave

ScislaC (scislac) wrote :

Dub Dublin,

Will you please try with the final 0.47 which is up on SF.net?

RodPierce (rod-lookfresh) wrote :

I can confirm the issue with my Wacom Intuous3 on XP, using version 0.47 stable release.

Using Wacom I cannot draw in document, but can use menus, etc. Normal mouse has no probems.

And Wacom works fine on 0.46.

ScislaC (scislac) wrote :

RodPierce,

A number of the people above had their issue resolved by configuring the tablet via the input devices dialog again, have you done this? I believe some things have changed which would not allow it to work with the previous configuration from 0.46.

RodPierce (rod-lookfresh) wrote :

Thank you!

At first the "Input Devices ..." dialog did not seem to help. But after playing with various setting it suddenly works for me.

(But there are bound to be many Wacom users who will abandon Inkscape because they do not know this!)

Celt (celts-mail) wrote :

XP Pro 32 SP3

Inkscape 0.47-3 r22583 Nov 21 2009

Aiptek Slim USB tablet (rebadged)

This issue did not affect me in v0.46.

When Inkscape starts, I cannot draw on the canvas, but I can click menus and toolbars with the pen. The fix mentioned above works but only until Inkscape is closed. On restart the tablet must be configured again.

The devices menu has the same issue as https://bugs.launchpad.net/inkscape/+bug/306322 but still configures the device ok.

I also have a similar error (to bug 306322) on startup: "The preferences file C:\Documents and Settings\[user]\Application Data\inkscape\preferences.xml is not a valid XML document. Inkscape will run with default settings, and new settings will not be saved."

I have tried renaming and also deleting this file but the error still appears.

This error was not present on the fresh install, but only appeared after I configured the tablet and saved the configuration.

This particular aspect of this bug is particularly annoying since it makes autosave useless.

Hope this helps.

Michal Wasowski (kret) wrote :

Appears I'm having the same problem - Windows XP x86, Inkscape 0.47-3and Wacom Bamboo. The device works flawlessly in GIMP, not really works in Inkscape :) I'm getting similiar problems as described - menu items are clickable, canvas not. One thing I've tracked in my case is that the settings are somehow not saved. When I enter into Devices menu in Inkscape I see:

Device: WACOM Tablet Pressure Stylus Mode: Screen
X: 1
Y: 2
And the rest, including Pressure, is not configured (set to empty/nothing).

When I select the device again in the Device dropdown, Pressure is set to 3. I press Save and it works. Unfortunately settings revert to defaults (Pressure not set) after closing and launching Inkscape again. It may be as was mention in the thread, that there is some kind of error while saving/loading preferences.xml, that forces the program to use default values.

Maybe this will help in some way.

Jon A. Cruz (jon-joncruz) wrote :

Thank you Michal. This seems to be a case that would be simple to address. Others might be seeing problems from other causes, but at least the one you describe should be simpler to address.

jazzynico (jazzynico) on 2010-01-27
Changed in inkscape:
milestone: 0.47 → 0.48
Pink Dino Designs (damjb) wrote :

I have a wacom intous 3. No problems with version 4.6 but now above problems with 4.7. Have tried above options with no result. Can you help?

Krzysztof Kosinski (tweenk) wrote :

It appears that this bug happens because the device name is reported in UTF-16, and the preferences try to store it as UTF-8 (and fail).

summary: - [Win32]Graphic tablet not working with Inkscape 0.46+devel r20711
+ Input device configuration not saved on Windows
Krzysztof Kosinski (tweenk) wrote :

No, that's not it. GDK explicitly converts from UTF-16 at gdk/win32/gdkinput-win32.c:410.

There is very useful information in bug 306322 (I'm not 100%it's a duplicate but it looks that way). I think this is caused by some device drivers reporting garbled names that contain things like \x03, \xf3 and the like. We need to escape the device name before storing it in prefs to fix this. Something very simple like g_strcanon() might work, since the conversion only has to work one way.

Krzysztof Kosinski (tweenk) wrote :

Attempt at fix is in revision 9177. Please test.

Changed in inkscape:
status: Triaged → Fix Committed
assignee: nobody → Krzysztof Kosinski (tweenk)
Krzysztof Kosinski (tweenk) wrote :

Reverting to "in progress", until somebody confirms the fix works

Changed in inkscape:
status: Fix Committed → In Progress
Krzysztof Kosinski (tweenk) wrote :

Please try this nightly build to see if the problem is fixed.
http://inkscape.modevia.com/win32/inkscapeR9180-1003121306.7z

It works fine now on my XP SP3 !

Thanks !

________________________________
De : Krzysztof Kosinski <email address hidden>
À : <email address hidden>
Envoyé le : Ven 12 mars 2010, 22 h 25 min 15 s
Objet : [Bug 334800] Re: Input device configuration not saved on Windows

Please try this nightly build to see if the problem is fixed.
http://inkscape.modevia.com/win32/inkscapeR9180-1003121306.7z

--
Input device configuration not saved on Windows
https://bugs.launchpad.net/bugs/334800
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in Inkscape: A Vector Drawing Tool: In Progress

Bug description:
My graphic tablet works properly with Inkscape 0.46, but it does not with 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from 'http://inkscape.modevia.com/win32/'.

In the 'Input Devices' dialogue it appears like a long line of kanjis and cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and nothing can be configured.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/inkscape/+bug/334800/+subscribe

Thank you for the link.

Unfortunately, it's still not quite working for me... XP SP3, using the
"Genius" brand tablet (model G-Pen M-609). There are no error messages this
time.

Screenshot: http://i.imgur.com/Bmbe0.png

After selecting the (corrupted) device name, it assigns "3" to Pressure.
Clicking "Save" does not seem to work. (If I go back to the Input screen,
Pressure is reset back to "None".)

Motion works, and the UI buttons will click if I use the tablet to press
down on them, but painting tools like "Calligraphy" do not paint.

I deleted the old AppData settings, but this did not solve it.

Is there driver file, or information about the driver, that I could provide
to help out?

Thank you,

 - John

On Fri, Mar 12, 2010 at 6:01 PM, ivan louette <email address hidden> wrote:

> It works fine now on my XP SP3 !
>
> Thanks !
>
>
>
> ________________________________
> De : Krzysztof Kosinski <email address hidden>
> À : <email address hidden>
> Envoyé le : Ven 12 mars 2010, 22 h 25 min 15 s
> Objet : [Bug 334800] Re: Input device configuration not saved on Windows
>
> Please try this nightly build to see if the problem is fixed.
> http://inkscape.modevia.com/win32/inkscapeR9180-1003121306.7z
>
> --
> Input device configuration not saved on Windows
> https://bugs.launchpad.net/bugs/334800
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Inkscape: A Vector Drawing Tool: In Progress
>
> Bug description:
> My graphic tablet works properly with Inkscape 0.46, but it does not with
> 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from '
> http://inkscape.modevia.com/win32/'.
>
> In the 'Input Devices' dialogue it appears like a long line of kanjis
> and cirillic symbols instead of the tablet name (Aiptek SlimTablet
> 6000U) and nothing can be configured.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/inkscape/+bug/334800/+subscribe
>
> --
> Input device configuration not saved on Windows
> https://bugs.launchpad.net/bugs/334800
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Inkscape: A Vector Drawing Tool: In Progress
>
> Bug description:
> My graphic tablet works properly with Inkscape 0.46, but it does not with
> 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from '
> http://inkscape.modevia.com/win32/'.
>
> In the 'Input Devices' dialogue it appears like a long line of kanjis and
> cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and
> nothing can be configured.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/inkscape/+bug/334800/+subscribe
>

Krzysztof Kosinski (tweenk) wrote :

IndelibleInk, can you do this:
1. Enter the Input Devices dialog, try to save, and exit Inkscape
2. Attach your preferences.xml file to this bug report. It should be in C:\Documents and Settings\(your username)\Application Data\inkscape\preferences.xml

IndelibleInk (yicu812) wrote :

preferences.xml is attached - See lines 966 to 976.

Krzysztof Kosinski (tweenk) wrote :

It looks like the device name changes between Inkscape runs. I have some more questions:

1. What happens when you change the Mode (in the upper right corner of the Input Devices dialog) from Disabled to Screen and save the settings? Can you use the tablet?
2. Restart the computer, try to change the settings again, save, quit Inkscape and attach you preferences file again. (I need to know whether the name is random.)

In answer to #1, here is the order of events:

1) I open the Input dialog box. It looks like this, before I change
anything:
http://i.imgur.com/cwkar.png

2) Then, I change the device, by selecting the one option available from
the drop-down list. When I release the mouse button, the screen changes to
this:
http://i.imgur.com/34FhF.png

I changed Disabled to Screen, clicked Save, quit Inkscape, and am uploading
the preferences.xml file. It created a new group node; most characters are
the same, but some do appear to be random or different.

Additional data:

When attempting to use the drawing tablet (with, say, Calligraphy), the
status bar does actually change to: "*Drawing* a calligraphic stroke", even
though nothing is drawn.

On Fri, Mar 12, 2010 at 8:03 PM, Krzysztof Kosinski <email address hidden>wrote:

> It looks like the device name changes between Inkscape runs. I have some
> more questions:
>
> 1. What happens when you change the Mode (in the upper right corner of the
> Input Devices dialog) from Disabled to Screen and save the settings? Can you
> use the tablet?
> 2. Restart the computer, try to change the settings again, save, quit
> Inkscape and attach you preferences file again. (I need to know whether the
> name is random.)
>
> --
> Input device configuration not saved on Windows
> https://bugs.launchpad.net/bugs/334800
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Inkscape: A Vector Drawing Tool: In Progress
>
> Bug description:
> My graphic tablet works properly with Inkscape 0.46, but it does not with
> 'Inkscape 0.46+devel r20711, built Feb 17 2009' I downloaded from '
> http://inkscape.modevia.com/win32/'.
>
> In the 'Input Devices' dialogue it appears like a long line of kanjis and
> cirillic symbols instead of the tablet name (Aiptek SlimTablet 6000U) and
> nothing can be configured.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/inkscape/+bug/334800/+subscribe
>

IndelibleInk (yicu812) wrote :

After rebooting, changing the Input mode to Screen, saving, and quitting, this is the resulting preferences.xml file (see attached, and compare lines 967, 975, and 977).

Krzysztof Kosinski (tweenk) wrote :

OK, this information was very helpful.
Was the tablet usable for drawing in step 2 after you changed Disabled to Screen?

Jon A. Cruz (jon-joncruz) wrote :

Aha!

If the device name appears to be changing between runs, this looks like a bug in the drivers or GTK where random data is coming in.

The current fixes should help with a work-around, but a little more is needed. There is some additional data that can be used to identify different parts of a compound device (e.g. one with an eraser and/or puck).

We should also look into splitting up these different "fails on Windows" tablet bugs, as they do now seem to be different issues. This "mangled name" issue is different than some others.

Jon A. Cruz (jon-joncruz) wrote :

It would probably be good to use g_utf8_validate() to test the reported name instead of the current hard-coded check.

The GdkDevice's "source" member can be checked for the GdkInputSource values. When "broken", constructing a name that includes the source, has_cursor, and num_axes combined will be quite useful. Constructing a name in this manner will allow for identifying the parts of a stylus, etc.

Base names can start as:

GDK_SOURCE_MOUSE "Core Pointer", "pointer"
GDK_SOURCE_PEN "pen"
GDK_SOURCE_ERASER "eraser"
GDK_SOURCE_CURSOR "cursor"

(where cursor is the puck, or mouse-like accessory for a tablet).

"Core pointer" is the default mouse, and "pointer" often shows up for a trackpad (these might operate as one). Mouse devices should usually be working. Those other names could be used for the first instance of each type that is reported, with additional devices of the same type having the additions appended.

Jon A. Cruz (jon-joncruz) wrote :

Base improvements for generated names are now in. Things should now function well for tablets with more than a single input.

Changed in inkscape:
assignee: Krzysztof Kosinski (tweenk) → Jon A. Cruz (jon-joncruz)
Changed in inkscape:
status: In Progress → Fix Committed
jazzynico (jazzynico) on 2010-08-24
Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers